package com.hzu.labbooking.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzu.labbooking.domain.Course;
import com.hzu.labbooking.domain.vo.MyCourseVO;

/**
 * 课程信息Service接口
 *
 * @author yezihao
 * @date 2021-04-29
 */
public interface ICourseService extends IService<Course> {

    /**
     * 查询个人封装课程信息
     *
     * @param id 课程信息ID
     * @return 课程信息
     */
    public MyCourseVO selectCourseById(Long id);

    /**
     * 查询个人课程信息列表
     *
     * @param course 个人课程信息
     * @return 个人课程信息集合
     */
    public List<MyCourseVO> selectCourseList(Course course);

    /**
     * 新增个人课程信息
     *
     * @param course 个人课程信息
     * @return 结果
     */
    public int insertCourse(Course course);

    /**
     * 修改课程信息
     *
     * @param course 课程信息
     * @return 结果
     */
    public int updateCourse(Course course);

    /**
     * 批量删除课程信息
     *
     * @param ids 需要删除的课程信息ID
     * @return 结果
     */
    public int deleteCourseByIds(Long[] ids);

    /**
     * 查询个人课程列表
     *
     * @return 个人课程信息集合
     */
    public List<Course> selectCourse();

}
